Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class XMLUtil

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.XMLUtil

public class XMLUtil
extends java.lang.Object

A collection of utility functions (static methods) related to XML.

Constructor Summary
`XMLUtil()`

Method Summary
`static java.lang.String` | `collapseWhiteSpace(java.lang.String value)` Replaces successive XML space characters by a single space character (`' '`) then removes leading and trailing space characters if any.
`static java.lang.String` | `compressWhiteSpace(java.lang.String value)` Replaces successive XML space characters (`'\t'`, `'\r'`, `'\n'`, `' '`) by a single space character (`' '`).
`static void` | `escapeXML(char[] chars, int offset, int length, java.lang.StringBuffer escaped)` Escapes specified character array (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).
`static void` | `escapeXML(char[] chars, int offset, int length, java.lang.StringBuffer escaped, boolean ascii)` Escapes specified character array (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).
`static java.lang.String` | `escapeXML(java.lang.String string)` Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).
`static void` | `escapeXML(java.lang.String string, java.lang.StringBuffer escaped)` Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).
`static java.lang.String` | `getUniqueId()` Returns a unique ID which can be used for example as the value of an attribute of type ID.
`static boolean` | `isName(java.lang.String s)` Tests if specified string is a lexically correct Name.
`static boolean` | `isNCName(java.lang.String s)` Tests if specified string is a lexically correct NCName.
`static boolean` | `isNmtoken(java.lang.String s)` Tests if specified string is a lexically correct NMTOKEN.
`static boolean` | `isPITarget(java.lang.String s)` Tests if specified string is a lexically correct target for a process instruction.
`static boolean` | `isXMLChar(char c)` Tests if specified character is a character which can be contained in a XML document.
`static boolean` | `isXMLSpace(char c)` Tests if specified character is a XML space (`'\t'`, `'\r'`, `'\n'`, `' '`).
`static java.lang.String` | `quoteXML(java.lang.String string)` Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc) then quotes the escaped string.
`static java.lang.String` | `replaceWhiteSpace(java.lang.String value)` Replaces sequence "`\r\n`" and characters `'\t'`, `'\r'`, `'\n'` by a single space character `' '`.
`static java.lang.String[]` | `splitList(java.lang.String s)` Splits specified string at XML space character boundaries (`'\t'`, `'\r'`, `'\n'`, `' '`).
`static java.lang.String` | `unescapeXML(java.lang.String text)` Unescapes specified string.
`static void` | `unescapeXML(java.lang.String text, int offset, int length, java.lang.StringBuffer unescaped)` Unescapes specified string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtil

    public XMLUtil()

Method Detail

### isPITarget

    public static final boolean isPITarget(java.lang.String s)

  Tests if specified string is a lexically correct target for a process instruction.

  Note that Names starting with "`xml`" (case-insensitive) are rejected.

  Parameters:
    `s` - string to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### isNmtoken

    public static final boolean isNmtoken(java.lang.String s)

  Tests if specified string is a lexically correct NMTOKEN.

  Parameters:
    `s` - string to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### isNCName

    public static final boolean isNCName(java.lang.String s)

  Tests if specified string is a lexically correct NCName.

  Parameters:
    `s` - string to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### isName

    public static final boolean isName(java.lang.String s)

  Tests if specified string is a lexically correct Name.

  Parameters:
    `s` - string to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### isXMLSpace

    public static final boolean isXMLSpace(char c)

  Tests if specified character is a XML space (`'\t'`, `'\r'`, `'\n'`, `' '`).

  Parameters:
    `c` - character to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### isXMLChar

    public static final boolean isXMLChar(char c)

  Tests if specified character is a character which can be contained in a XML document.

  Parameters:
    `c` - character to be tested
  Returns:
    `true` if test is successful; `false` otherwise

### collapseWhiteSpace

    public static final java.lang.String collapseWhiteSpace(java.lang.String value)

  Replaces successive XML space characters by a single space character (`' '`) then removes leading and trailing space characters if any.

  Parameters:
    `value` - string to be processed
  Returns:
    processed string

### compressWhiteSpace

    public static final java.lang.String compressWhiteSpace(java.lang.String value)

  Replaces successive XML space characters (`'\t'`, `'\r'`, `'\n'`, `' '`) by a single space character (`' '`).

  Parameters:
    `value` - string to be processed
  Returns:
    processed string

### replaceWhiteSpace

    public static final java.lang.String replaceWhiteSpace(java.lang.String value)

  Replaces sequence "`\r\n`" and characters `'\t'`, `'\r'`, `'\n'` by a single space character `' '`.

  Parameters:
    `value` - string to be processed
  Returns:
    processed string

### splitList

    public static final java.lang.String[] splitList(java.lang.String s)

  Splits specified string at XML space character boundaries (`'\t'`, `'\r'`, `'\n'`, `' '`). Returns list of parts.

  Parameters:
    `s` - string to be split
  Returns:
    list of parts

### escapeXML

    public static final java.lang.String escapeXML(java.lang.String string)

  Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).

  Parameters:
    `string` - string to be escaped
  Returns:
    escaped string

### quoteXML

    public static final java.lang.String quoteXML(java.lang.String string)

  Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc) then quotes the escaped string.

  Parameters:
    `string` - string to be escaped and quoted
  Returns:
    escaped and quoted string

### escapeXML

    public static final void escapeXML(java.lang.String string,
                                       java.lang.StringBuffer escaped)

  Escapes specified string (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).

  Parameters:
    `string` - string to be escaped
    `escaped` - buffer used to store escaped string (characters are appended to this buffer)

### escapeXML

    public static final void escapeXML(char[] chars,
                                       int offset,
                                       int length,
                                       java.lang.StringBuffer escaped)

  Escapes specified character array (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).

  Parameters:
    `chars` - character array to be escaped
    `offset` - specifies first character in array to be escaped
    `length` - number of characters in array to be escaped
    `escaped` - buffer used to store escaped string (characters are appended to this buffer)

### escapeXML

    public static final void escapeXML(char[] chars,
                                       int offset,
                                       int length,
                                       java.lang.StringBuffer escaped,
                                       boolean ascii)

  Escapes specified character array (that is, `'<'` is replaced by "`&#60`;", `'&'` is replaced by "`&#38;`", etc).

  Parameters:
    `chars` - character array to be escaped
    `offset` - specifies first character in array to be escaped
    `length` - number of characters in array to be escaped
    `escaped` - buffer used to store escaped string (characters are appended to this buffer)
    `ascii` - if true, characters with code > 127 are escaped as `&#code;`

### unescapeXML

    public static final java.lang.String unescapeXML(java.lang.String text)

  Unescapes specified string. Inverse operation of `escapeXML(java.lang.String)`.

  Parameters:
    `text` - string to be unescaped
  Returns:
    unescaped string

### unescapeXML

    public static final void unescapeXML(java.lang.String text,
                                         int offset,
                                         int length,
                                         java.lang.StringBuffer unescaped)

  Unescapes specified string. Inverse operation of `escapeXML(java.lang.String)`.

  Parameters:
    `text` - string to be unescaped
    `offset` - specifies first character in string to be unescaped
    `length` - number of characters in string to be unescaped
    `unescaped` - buffer used to store unescaped string (characters are appended to this buffer)

### getUniqueId

    public static final java.lang.String getUniqueId()

  Returns a unique ID which can be used for example as the value of an attribute of type ID.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD